Create Subscription

Creates a new webhook subscription for your company.

You must provide:

  • A valid consumer URL where webhook events will be sent
  • A technical contact email for notifications about the subscription
  • At least one topic name to subscribe to
  • An integration type that indicates the purpose of the subscription
    Upon successful creation, you'll receive a subscription ID that you can use to manage this subscription.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
uri
required

The URL where webhook events will be sent.

  • Must be a valid, publicly accessible HTTPS URL
  • Must respond to POST requests
  • Cannot be changed after subscription creation
string
required

Email address for technical contact.

  • Used for notifications about subscription status changes
  • Used for troubleshooting communication
  • Should be monitored regularly
topicNames
array of strings
required

A collection of topic names to subscribe to.

  • Must contain at least one valid topic name
  • Each topic name must be a string matching an available topic
  • Use GET /topics to retrieve the list of available topics
topicNames*
string
enum

Type that indicates the purpose of the subscription. If nothing is specified, integration type will be Api by default.

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json